Lease Document¶
Lease Document - Get¶
HTTP Request
GET /api/v1/lease-document/{id}
📋 Description: Returns the single resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 0,
8 "objectType": "MASTER_AGREEMENT",
9 "objectId": 0,
10 "displayId": "string",
11 "description": "string",
12 "fileName": "string",
13 "fileFormat": "string",
14 "historical": true,
15 "fileStorageId": "string",
16 "uploadStatus": "IN_PROGRESS"
17 }
18}
Lease Document - Update¶
HTTP Request
PUT /api/v1/lease-document/{id}
📋 Description: Fully replaces the resource with the given ID. All fields in the request body are applied.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "objectType": "MASTER_AGREEMENT",
4 "objectId": 0,
5 "displayId": "string",
6 "description": "string",
7 "fileName": "string",
8 "fileFormat": "string",
9 "historical": true,
10 "fileStorageId": "string",
11 "uploadStatus": "IN_PROGRESS"
12}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 0,
8 "objectType": "MASTER_AGREEMENT",
9 "objectId": 0,
10 "displayId": "string",
11 "description": "string",
12 "fileName": "string",
13 "fileFormat": "string",
14 "historical": true,
15 "fileStorageId": "string",
16 "uploadStatus": "IN_PROGRESS"
17 }
18}
Lease Document - Delete¶
HTTP Request
DELETE /api/v1/lease-document/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {}
7}
Lease Document - Create Or Update Bulk¶
HTTP Request
PUT /api/v1/lease-document/createOrUpdate/bulk
📋 Description: Creates or updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully processed items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "objectType": "MASTER_AGREEMENT",
5 "objectId": 0,
6 "displayId": "string",
7 "description": "string",
8 "fileName": "string",
9 "fileFormat": "string",
10 "historical": true,
11 "fileStorageId": "string",
12 "uploadStatus": "IN_PROGRESS"
13 }
14]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 0,
9 "objectType": "MASTER_AGREEMENT",
10 "objectId": 0,
11 "displayId": "string",
12 "description": "string",
13 "fileName": "string",
14 "fileFormat": "string",
15 "historical": true,
16 "fileStorageId": "string",
17 "uploadStatus": "IN_PROGRESS"
18 }
19 ]
20}
Lease Document - Create Or Update¶
HTTP Request
PUT /api/v1/lease-document/createOrUpdate
📋 Description: Creates the resource if no matching record exists, or fully updates it if one is found. Idempotent: safe to call multiple times with the same payload.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "objectType": "MASTER_AGREEMENT",
4 "objectId": 0,
5 "displayId": "string",
6 "description": "string",
7 "fileName": "string",
8 "fileFormat": "string",
9 "historical": true,
10 "fileStorageId": "string",
11 "uploadStatus": "IN_PROGRESS"
12}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 0,
8 "objectType": "MASTER_AGREEMENT",
9 "objectId": 0,
10 "displayId": "string",
11 "description": "string",
12 "fileName": "string",
13 "fileFormat": "string",
14 "historical": true,
15 "fileStorageId": "string",
16 "uploadStatus": "IN_PROGRESS"
17 }
18}
Lease Document - Bulk Update¶
HTTP Request
PUT /api/v1/lease-document/bulk
📋 Description: Updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are updated; failed items are recorded in the response
errorslist. The response body always contains the successfully updated items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "objectType": "MASTER_AGREEMENT",
5 "objectId": 0,
6 "displayId": "string",
7 "description": "string",
8 "fileName": "string",
9 "fileFormat": "string",
10 "historical": true,
11 "fileStorageId": "string",
12 "uploadStatus": "IN_PROGRESS"
13 }
14]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 0,
9 "objectType": "MASTER_AGREEMENT",
10 "objectId": 0,
11 "displayId": "string",
12 "description": "string",
13 "fileName": "string",
14 "fileFormat": "string",
15 "historical": true,
16 "fileStorageId": "string",
17 "uploadStatus": "IN_PROGRESS"
18 }
19 ]
20}
Lease Document - Bulk Upload¶
HTTP Request
POST /api/v1/lease-document/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» request |
body |
true |
none |
|
»» id |
body |
integer(int64) |
false |
none |
»» objectType |
body |
string |
true |
none |
»» objectId |
body |
integer(int64) |
false |
none |
»» displayId |
body |
string |
true |
none |
»» description |
body |
string |
false |
none |
» files |
body |
[string] |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
»» objectType |
ACTIVATION_GROUP, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT |
Body Parameters
1{
2 "files": [
3 "string"
4 ],
5 "request": {
6 "description": "string",
7 "displayId": "string",
8 "id": 0,
9 "objectId": 0,
10 "objectType": "MASTER_AGREEMENT"
11 }
12}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "objectType": "MASTER_AGREEMENT",
5 "objectId": 0,
6 "displayId": "string",
7 "description": "string",
8 "fileName": "string",
9 "fileFormat": "string",
10 "historical": true,
11 "fileStorageId": "string",
12 "uploadStatus": "IN_PROGRESS"
13 }
14]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
integer(int64) |
false |
none |
none |
» objectType |
string |
true |
none |
none |
» objectId |
integer(int64) |
false |
none |
none |
» displayId |
string |
true |
none |
none |
» description |
string |
false |
none |
none |
» fileName |
string |
false |
none |
none |
» fileFormat |
string |
false |
none |
none |
» historical |
boolean |
false |
none |
none |
» fileStorageId |
string |
false |
none |
none |
» uploadStatus |
string |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
objectType |
ACTIVATION_GROUP, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT |
uploadStatus |
FAILED, INVALID, IN_PROGRESS, UPLOADED |
Lease Document - Bulk Delete¶
HTTP Request
DELETE /api/v1/lease-document/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {}
7}
Lease Document - Search¶
HTTP Request
POST /api/v1/lease-document/search
📋 Description: Returns a paginated list of resources matching the given filter criteria. Pass null or an empty body to return all accessible records.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string"
15}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "objectType": "MASTER_AGREEMENT",
22 "objectId": 0,
23 "displayId": "string",
24 "description": "string",
25 "fileName": "string",
26 "fileFormat": "string",
27 "historical": true,
28 "fileStorageId": "string",
29 "uploadStatus": "IN_PROGRESS"
30 }
31 ],
32 "number": 0,
33 "sort": {
34 "unsorted": false,
35 "sorted": true,
36 "empty": false
37 },
38 "first": true,
39 "last": true,
40 "empty": true
41}
Lease Document - Fetch All Documents¶
HTTP Request
POST /api/v1/lease-document/fetch-all-documents
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "objectType": "MASTER_AGREEMENT",
4 "objectId": 0,
5 "displayId": "string",
6 "description": "string"
7}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "objectType": "MASTER_AGREEMENT",
5 "objectId": 0,
6 "displayId": "string",
7 "description": "string",
8 "fileName": "string",
9 "fileFormat": "string",
10 "historical": true,
11 "fileStorageId": "string",
12 "uploadStatus": "IN_PROGRESS"
13 }
14]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» id |
integer(int64) |
false |
none |
none |
» objectType |
string |
true |
none |
none |
» objectId |
integer(int64) |
false |
none |
none |
» displayId |
string |
true |
none |
none |
» description |
string |
false |
none |
none |
» fileName |
string |
false |
none |
none |
» fileFormat |
string |
false |
none |
none |
» historical |
boolean |
false |
none |
none |
» fileStorageId |
string |
false |
none |
none |
» uploadStatus |
string |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
objectType |
ACTIVATION_GROUP, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT |
uploadStatus |
FAILED, INVALID, IN_PROGRESS, UPLOADED |
Lease Document - Find All¶
HTTP Request
GET /api/v1/lease-document
📋 Description: Returns a paginated list of all accessible resources ordered by ID. Prefer POST /search for filtered queries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "objectType": "MASTER_AGREEMENT",
22 "objectId": 0,
23 "displayId": "string",
24 "description": "string",
25 "fileName": "string",
26 "fileFormat": "string",
27 "historical": true,
28 "fileStorageId": "string",
29 "uploadStatus": "IN_PROGRESS"
30 }
31 ],
32 "number": 0,
33 "sort": {
34 "unsorted": false,
35 "sorted": true,
36 "empty": false
37 },
38 "first": true,
39 "last": true,
40 "empty": true
41}
Lease Document - Upload¶
HTTP Request
POST /api/v1/lease-document
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» request |
body |
true |
none |
|
»» id |
body |
integer(int64) |
false |
none |
»» objectType |
body |
string |
true |
none |
»» objectId |
body |
integer(int64) |
false |
none |
»» displayId |
body |
string |
true |
none |
»» description |
body |
string |
false |
none |
» file |
body |
string(binary) |
true |
none |
Enumerated Values
Attribute |
Value |
|---|---|
»» objectType |
ACTIVATION_GROUP, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT |
Body Parameters
1{
2 "file": "string",
3 "request": {
4 "description": "string",
5 "displayId": "string",
6 "id": 0,
7 "objectId": 0,
8 "objectType": "MASTER_AGREEMENT"
9 }
10}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "objectType": "MASTER_AGREEMENT",
4 "objectId": 0,
5 "displayId": "string",
6 "description": "string",
7 "fileName": "string",
8 "fileFormat": "string",
9 "historical": true,
10 "fileStorageId": "string",
11 "uploadStatus": "IN_PROGRESS"
12}
Lease Document - Get Supported Files¶
HTTP Request
GET /api/v1/lease-document/supported-files
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "string"
3]
Response Schema
Lease Document - Download File¶
HTTP Request
GET /api/v1/lease-document/download/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |